<?php
/**
 * News xml rss feed scroll
 *
 * @package 	News xml rss feed scroll
 * @subpackage 	News xml rss feed scroll
 * @version   	3.7
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2017 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2011/09/news-xml-rss-feed-scroll-joomla-module/
 *
 */

// no direct access
defined('_JEXEC') or die;

class modNewsXmlRssFeedScroll
{
	public static function loadScripts(&$params)
	{
		$doc = &JFactory::getDocument();
		$doc->addScript(JURI::Root(true).'/modules/mod_news_xml_rss_feed_scroll/mod_news_xml_rss_feed_scroll.js');
	}
	
	public static function getFeed($args)
	{
		$url = "";
		$url = $args['gNewsAnnouncementrss'];
		
		if($url == "")
		{
			$url = "http://www.gopiplus.com/work/category/word-press-plug-in/feed/";
		}
		
		$items	= array();
		$xml = "";
		$cnt=0;
		$content = @file_get_contents($url);
		if (strpos($http_response_header[0], "200")) 
		{
			$f = fopen( $url, 'r' );
			while( $data = fread( $f, 4096 ) ) { $xml .= $data; }
			fclose( $f );
			preg_match_all( "/\<item\>(.*?)\<\/item\>/s", $xml, $itemblocks );
			$i=0;
			if ( ! empty($itemblocks) ) 
			{
				foreach( $itemblocks[1] as $block )
				{
					preg_match_all( "/\<title\>(.*?)\<\/title\>/",  $block, $title );
					preg_match_all( "/\<link\>(.*?)\<\/link\>/", $block, $link );
					$crs_post_title = $title[1][0];
					$crs_post_title = addslashes(trim($crs_post_title));
					$crs_post_link = $link[1][0];
					$crs_post_link = trim($crs_post_link);
					$items[$i] = new stdClass;
					$items[$i]->title	= $crs_post_title;
					$items[$i]->link	= $crs_post_link;
					$i++;			
				}	
			}
		}
		else
		{
			echo "Invalid or Broken rss link.";
		}
		return $items;
	}
}
?>